package com.proliferay.portlet;

import com.liferay.portal.kernel.portlet.bridges.mvc.MVCPortlet;
import com.liferay.portal.kernel.util.ParamUtil;
import com.proliferay.service.SampleService;

import java.io.IOException;
import java.io.PrintWriter;

import javax.portlet.Portlet;
import javax.portlet.PortletException;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;
import javax.portlet.ResourceRequest;
import javax.portlet.ResourceResponse;

import org.osgi.service.component.annotations.Component;
import org.osgi.service.component.annotations.Reference;

@Component(immediate = true, property = { "com.liferay.portlet.display-category=category.sample",
		"com.liferay.portlet.instanceable=true", "javax.portlet.display-name=com.proliferay.demo Portlet",
		"javax.portlet.init-param.template-path=/", "javax.portlet.init-param.view-template=/view.jsp",
		"javax.portlet.resource-bundle=content.Language",
		"javax.portlet.security-role-ref=power-user,user" }, service = Portlet.class)
public class ConsumeOsgiServicePortlet extends MVCPortlet {

	@Override
	public void doView(RenderRequest renderRequest, RenderResponse renderResponse)
			throws IOException, PortletException {

		super.doView(renderRequest, renderResponse);
	}

	@Override
	public void serveResource(ResourceRequest resourceRequest, ResourceResponse resourceResponse)
			throws IOException, PortletException {

		int number1 = ParamUtil.getInteger(resourceRequest, "firstNumber", 0);
		int number2 = ParamUtil.getInteger(resourceRequest, "secondNumber", 0);
		int result = 0;
		if (_sampleService != null) {

			result = _sampleService.add(number1, number2);
			System.out.println("############Result###############" + result);
		}

		resourceResponse.setContentType("text/html");
		PrintWriter writer = resourceResponse.getWriter();
		writer.print(result);
		writer.flush();
		writer.close();
		super.serveResource(resourceRequest, resourceResponse);
	}

	@Reference
	public void set_sampleService(SampleService _sampleService) {
		this._sampleService = _sampleService;
	}

	private SampleService _sampleService;
}